/**
 * Author: [ CopyLian ]
 * Date: [ 2017.02.23 ]
 * Email: [ copylian@aikehou.com ]
 * Site: [ http://www.copylian.com ]
 * Description [ 基础js文件 ]
 */

/**
 * [aikehou_downall 组装下载数据的id：批量下载]
 * @param  {[string]} url [处理数据的url地址]
 * @return {[json]}       [返回json格式]
 */
function aikehou_downall(url){
    var ids = [];
    $(".select_ids:checked").each(function(index, el) {
        ids.push($(this).val());
    });

    if(ids.length == 0){
        aikehou_tips('请选择要下载的数据！', 'danger', 'fa fa-close');
        return false;
    }

    //变成字符串
    ids = ids.join(',');

    //发送数据
    aikehou_down(url, ids);
}

/**
 * [aikehou_down 文件下载函数]
 * @param  {[string]} url [处理数据的url地址]
 * @param  {[string]} ids [数据的id字符串]
 */
function aikehou_down(url, ids){
    //移除原始表单
    $("#downloadform").remove();

    //新建表单
    var downform = $("<form>");
    downform.attr({
        id: 'downloadform',
        style: 'display:block',
        method: 'post',
        action: url,
        target: '_blank'
    });

    //获取数组
    ids = ids.split(',');
    if(ids.length == 0){
        return false;
    } else {
        //组装因隐藏值
        for (var i = 0; i < ids.length; i++) {
            downform.append('<input type="hidden" name="downfiles[]" value="' + ids[i] + '" />');
        }
    }

    //将表单放入body中
    $("body").append(downform);

    //表单提交   
    downform.submit();
}