<?php
/**
 * Author: [ CopyLian ]
 * Date: [ 2017.02.23 ]
 * Email: [ copylian@aikehou.com ]
 * Site: [ http://www.copylian.com ]
 * Description [ 文件压缩到zip类 ]
 */
namespace download;
use download\Download;

class Filetozip
{
	//当前目录
    public $currentdir;

    //保存的文件名称
    public $savename;

    /**
     * [__construct 构造方法]
     * @param [type] $curpath  [当前目录]
     */
    public function __construct($curpath = '', $savename = ''){
        //当前目录
        $this->currentdir = $curpath;

        //保存的文件名称
        $this->savename = $savename;
    }

    /**
     * [tozip 压缩文件(zip格式)]
     * @param  [type] $files [文件名数组]
     */
    public function tozip($files = array()){ 

        if(empty($this->savename) || strripos($this->savename, ".zip") <= 0){
            //zip名称
            $this->savename = date('YmdHis', time()) . '.zip';
        }

        //处理压缩
        if(!empty($files)){
            //先删除原始文件
            if(file_exists($this->currentdir . $this->savename)){
                unlink($this->currentdir . $this->savename);
            }

            //实例化zip类
            $zip = new \ZipArchive();

            //创建一个空的zip文件
            $zip->open($this->currentdir . $this->savename, \ZipArchive::OVERWRITE);

            //循环文件名
            foreach ($files as $key => $value) {
                if(file_exists($this->currentdir . $value)){
                    $zip->addFile($this->currentdir . $value, $value);
                }
            }

            //关闭zip
            $zip->close();

            //下载文件
            $dw = new Download($this->currentdir, $this->savename);
            $dw->getfiles();

            //下载完成后要进行删除
            unlink($this->currentdir . $this->savename);
        }
    }
}
?>